/*
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2021 Nordix Foundation
 *  ================================================================================
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *  ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.be.datatypes.category;

import java.util.List;
import org.openecomp.sdc.be.datatypes.tosca.ToscaDataDefinition;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@EqualsAndHashCode(callSuper = false)
@ToString
@NoArgsConstructor
public class MetadataKeyDataDefinition extends ToscaDataDefinition {
    private String name;
    private List<String> validValues;
    private boolean mandatory;
    
    public MetadataKeyDataDefinition(MetadataKeyDataDefinition metadataKeyDataDefinition) {
        this.name = metadataKeyDataDefinition.name;
        this.validValues = metadataKeyDataDefinition.validValues;
        this.mandatory = metadataKeyDataDefinition.mandatory;
    }
}
